<?php
namespace app\bug\model;

use think\model\concern\SoftDelete;
class WorkAction extends Base
{
//设置字段信息
	use SoftDelete;
    protected $schema = [
        'id'       =>'int',//
        'action_name'       =>'varchar',//功能名称
        'menu_id'       =>'int',//归属菜单页面id
        'belong'       =>'tinyint',//系统归属1采销2结算3数据统计
        'belong_action'       =>'text',//功能集合
        'belong_process'       =>'text',//功能集合
        'apply_id'       =>'int',//申请人id
        'apply_name'       =>'varchar',//申请人名称
        'createTime'       =>'datetime',//
        'updateTime'       =>'datetime',//
        'delete_time'       =>'datetime',//

];
    protected $updateTime='updateTime';
    protected $createTime='createTime';
    protected $deleteTime = 'delete_time';
    
    public function GetBelongActionAttr($v){
    	return json_decode($v,true);
    }
    
    public function SetBelongActionAttr($v){
    	return json_encode($v,JSON_UNESCAPED_UNICODE);
    }
    
    public function GetBelongProcessAttr($v){
    	return json_decode($v,true);
    }
    
    public function SetBelongProcessAttr($v){
    	return json_encode($v,JSON_UNESCAPED_UNICODE);
    }
    
    public function GetTreeActionByIdArr($idArr,$belong=0){
    	$list = $this->whereIn("id",$idArr)->field("id,action_name,menu_id,belong_action")->select();
    	foreach ($list as &$item){
    		$meun = $this->GetMenuList($item->menu_id,$belong);
    		$item=array_merge($item,$meun);
    		$item->actionInfo = $this->GetActionList($item->belong_action,$belong);
    	}
    	return $list;
    }
    
    public function GetMenuList($menuid,$belong){
    	$menu=[];
        switch ($belong){
        	case 1:
        		$menu=\app\admin\model\AdminMenu::GetMenu($menuid);
        		break;
        		case 2:
        		$menu=\app\cxinv\model\AdminMenu::GetMenu($menuid);
        		break;
        		case 3:
        		$menu=\app\cxinv\model\AdminMenu::GetMenu($menuid);
        		break;
        }
        return$menu;
    }
    
    public function GetActionList($action,$belong){
        	$action=[];
            switch ($belong){
            	case 1:
            		$menu=\app\admin\model\AdminMenu::GetAction($action);
            		break;
            		case 2:
            		$menu=\app\cxinv\model\AdminMenu::GetAction($action);
            		break;
            		case 3:
            		$menu=\app\cxinv\model\AdminMenu::GetAction($action);
            		break;
            }
            return$action;
    }
}